import 'package:flutter/material.dart';

import 'package:pweb/utils/dimensions.dart';

import 'package:pweb/generated/i18n/app_localizations.dart';


class PaymentHeader extends StatelessWidget {

  const PaymentHeader({super.key});
  
  @override
  Widget build(BuildContext context) {
    final theme = Theme.of(context);
    final dimensions = AppDimensions();

    return Row(
      children: [
        Icon(
          Icons.send_rounded, 
          color: theme.colorScheme.primary, 
          size: dimensions.iconSizeLarge
        ),
        SizedBox(width: dimensions.spacingSmall),
        Text(
          AppLocalizations.of(context)!.sendTo,
          style: theme.textTheme.headlineSmall?.copyWith(
            fontWeight: FontWeight.bold
          ),
        ),
      ],
    );
  }
}